/*
[]=================================================================[]
	DeviceDemo.h

	Copyright (C) 2001 Feitian Tech. Co. Ltd. All rights reserved.
	by Water Bird
	Created at 17-5-2001   8:33

	Comment : Demostrating the device management functions of the
			  ePass 1000.
[]=================================================================[]
*/

#include <epassapi.h>

// Blink the LED of a device to let user select.
void
__cdecl
BlinkDeviceLED(EPAS_HANDLE handle);

// Select a device to open.
bool
SelectDevice(EPAS_HANDLE handle);

// Create a direcotry by GUID.
EPAS_STATUS
CreateDirByGUID(EPAS_HANDLE handle);

// Remove a direcotry by GUID.
EPAS_STATUS
DeleteDirByGUID(EPAS_HANDLE handle);

// Open a device special by GUID_STR.
EPAS_STATUS
OpenDeviceByGUID_STR(EPAS_HANDLE handle);